org.apache.tinkerpop.gremlin.groovy

## Class AbstractImportCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider, ImportCustomizerProvider
  Direct Known Subclasses:
    DefaultImportCustomizerProvider

  Deprecated.
  As of release 3.2.5, replaced by `ImportCustomizer`

      @Deprecated
      public abstract class AbstractImportCustomizerProvider
      extends Object
      implements ImportCustomizerProvider

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DOT_STAR` Deprecated.
    `protected static String` | `EMPTY_STRING` Deprecated.
    `protected Set<String>` | `extraImports` Deprecated.
    `protected Set<String>` | `extraStaticImports` Deprecated.
    `protected static String` | `PERIOD` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractImportCustomizerProvider()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
    `Set<String>` | `getAllImports()` Deprecated.
    `Set<String>` | `getExtraImports()` Deprecated.
    `Set<String>` | `getExtraStaticImports()` Deprecated.
    `Set<String>` | `getImports()` Deprecated.
    `Set<String>` | `getStaticImports()` Deprecated.
    `protected static void` | `processImports(ImportCustomizer ic, Set<String> imports)` Deprecated.
    `protected static void` | `processStaticImports(ImportCustomizer ic, Set<String> staticImports)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOT_STAR

          protected static final String DOT_STAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### EMPTY_STRING

          protected static final String EMPTY_STRING

      Deprecated.
      See Also:
        Constant Field Values

    - #### PERIOD

          protected static final String PERIOD

      Deprecated.
      See Also:
        Constant Field Values

    - #### extraImports

          protected final Set<String> extraImports

      Deprecated.

    - #### extraStaticImports

          protected final Set<String> extraStaticImports

      Deprecated.

  - ### Constructor Detail

    - #### AbstractImportCustomizerProvider

          public AbstractImportCustomizerProvider()

      Deprecated.

  - ### Method Detail

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

    - #### getImports

          public Set<String> getImports()

      Deprecated.
      Specified by:
        `getImports` in interface `ImportCustomizerProvider`

    - #### getStaticImports

          public Set<String> getStaticImports()

      Deprecated.
      Specified by:
        `getStaticImports` in interface `ImportCustomizerProvider`

    - #### getExtraImports

          public Set<String> getExtraImports()

      Deprecated.
      Specified by:
        `getExtraImports` in interface `ImportCustomizerProvider`

    - #### getExtraStaticImports

          public Set<String> getExtraStaticImports()

      Deprecated.
      Specified by:
        `getExtraStaticImports` in interface `ImportCustomizerProvider`

    - #### getAllImports

          public Set<String> getAllImports()

      Deprecated.

    - #### processStaticImports

          protected static void processStaticImports(ImportCustomizer ic,
                                                     Set<String> staticImports)

      Deprecated.

    - #### processImports

          protected static void processImports(ImportCustomizer ic,
                                               Set<String> imports)

      Deprecated.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.